bm::str_sparse_vector< CharType, BV, STR_SIZE >::reference_base Class Reference

`#include <bmstrsparsevec.h>`

Inheritance diagram for bm::str_sparse_vector< CharType, BV, STR_SIZE >::reference_base:
[legend]

## Public Types

typedef bm::heap_vector< CharType, typename bvector_type::allocator_type, true > | bufffer_type

## Protected Attributes

bufffer_type | buf_

## Detailed Description

template<typename CharType, typename BV, unsigned STR_SIZE>
class bm::str_sparse_vector< CharType, BV, STR_SIZE >::reference_base

Definition at line 114 of file bmstrsparsevec.h.

## Member Typedef Documentation

## bufffer_type

template<typename CharType, typename BV, unsigned STR_SIZE>

typedef bm::heap_vector<CharType, typename bvector_type::allocator_type, true> bm::str_sparse_vector< CharType, BV, STR_SIZE >::reference_base::bufffer_type

Definition at line 119 of file bmstrsparsevec.h.

## Field Documentation

## buf_

template<typename CharType, typename BV, unsigned STR_SIZE>

bufffer_type bm::str_sparse_vector< CharType, BV, STR_SIZE >::reference_base::buf_

mutable protected

Definition at line 121 of file bmstrsparsevec.h.

Referenced by bm::str_sparse_vector< CharType, BV, STR_SIZE >::const_reference::const_reference(), bm::str_sparse_vector< CharType, BV, STR_SIZE >::const_reference::get(), bm::str_sparse_vector< CharType, BV, STR_SIZE >::reference::get(), and bm::str_sparse_vector< CharType, BV, STR_SIZE >::reference::reference().

The documentation for this class was generated from the following file:

- bmstrsparsevec.h